Package org.apache.tomcat.util.buf

## Interface CharChunk.CharOutputChannel

Enclosing class:
  CharChunk

    public static interface CharChunk.CharOutputChannel

When we need more space we'll either grow the buffer ( up to the limit ) or send it to a channel.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `realWriteChars​(char[] buf, int off, int len)` Send the bytes ( usually the internal conversion buffer ).

### Method Detail

#### realWriteChars

    void realWriteChars​(char[] buf,
                        int off,
                        int len)
                 throws java.io.IOException

Send the bytes ( usually the internal conversion buffer ). Expect 8k output if the buffer is full.

Parameters:
  `buf` - characters that will be written
  `off` - offset in the characters array
  `len` - length that will be written
Throws:
  `java.io.IOException` - If an I/O occurs while writing the characters